# Uses of Enum Class
org.jmol.atomdata.RadiusData.EnumType

Packages that use RadiusData.EnumType
Package
Description
org.jmol.atomdata

## Uses of RadiusData.EnumType in org.jmol.atomdata

Subclasses with type arguments of type RadiusData.EnumType in org.jmol.atomdata
Modifier and Type
Class
Description
`static enum`
`RadiusData.EnumType`
Fields in org.jmol.atomdata declared as RadiusData.EnumType
Modifier and Type
Field
Description
`RadiusData.EnumType`
RadiusData.`factorType`
Methods in org.jmol.atomdata that return RadiusData.EnumType
Modifier and Type
Method
Description
`static RadiusData.EnumType`
RadiusData.EnumType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RadiusData.EnumType[]`
RadiusData.EnumType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.jmol.atomdata with parameters of type RadiusData.EnumType
Modifier
Constructor
Description
``
`RadiusData(float[] values, float value, RadiusData.EnumType factorType, VDW vdwType)`